package com.zskk.service;

import javax.sql.DataSource;

import com.alibaba.fastjson.JSON;
import com.alibaba.fastjson.JSONObject;
import com.aliyuncs.CommonRequest;
import com.aliyuncs.CommonResponse;
import com.aliyuncs.DefaultAcsClient;
import com.aliyuncs.IAcsClient;
import com.aliyuncs.exceptions.ClientException;
import com.aliyuncs.exceptions.ServerException;
import com.aliyuncs.http.MethodType;
import com.aliyuncs.profile.DefaultProfile;
import com.jfinal.kit.PropKit;
import com.jfinal.plugin.activerecord.ActiveRecordPlugin;
import com.jfinal.plugin.druid.DruidPlugin;
import com.zskk.model.Doctors;
import com.zskk.model._MappingKit;

public class SmsService {
	
	static {
//		PropKit.use("config.properties");
		DruidPlugin druidPlugin = new DruidPlugin("jdbc:mysql://117.50.71.166:7001/pacsonline_pro?characterEncoding=utf8&zeroDateTimeBehavior=convertToNull", "pacs_pro", "Zskk@2019~!@#");
		ActiveRecordPlugin arp = new ActiveRecordPlugin(druidPlugin); 
		druidPlugin.start();
		_MappingKit.mapping(arp);
		arp.start();
	}
	
	public static void sendSmsCode(String phone) {
		DefaultProfile profile = DefaultProfile.getProfile("cn-beijing", "LTAImzRGKfWaL7Vi", "GjWdd2cdHtbQkhhnhSxNbw0QChKD98");
        IAcsClient client = new DefaultAcsClient(profile);

        CommonRequest request = new CommonRequest();
        request.setMethod(MethodType.POST);
        request.setDomain("dysmsapi.aliyuncs.com");
        request.setVersion("2017-05-25");
        request.setAction("SendSms");
        request.putQueryParameter("RegionId", "cn-beijing");
        request.putQueryParameter("PhoneNumbers", "18141913818");
        request.putQueryParameter("SignName", "中世康恺");
        request.putQueryParameter("TemplateCode", "SMS_163620994");
        request.putQueryParameter("TemplateParam", "{\"code\":1223}");
        try {
            CommonResponse response = client.getCommonResponse(request);
            System.out.println(response.getData());
        } catch (ServerException e) {
            e.printStackTrace();
        } catch (ClientException e) {
            e.printStackTrace();
        }
	}

	public static void main(String[] args) {
//		sendSmsCode("");		
		Doctors doctors = Doctors.dao.findFirst("select * from doctors where phone=?", "15203224322");
		String ddString =  JSON.toJSONString(doctors);

		System.out.println(ddString);

	}
}
